var accion = document.editarCodigoForm.accion.value;
var inicioAccion=document.editarCodigoForm.accion.value;
$("#feini").rup_date ();	
//Formatear la fecha 
if ($("#feini").val()!=""){
    var fechaIni = new Date($("#feini").val().substring(0,10).replace("-","/").replace("-","/"));
    $("#feini").rup_date("setDate", fechaIni);
}
	
	
$( document ).ready(function() {
	var accion = document.editarCodigoForm.accion.value;		
	if (accion == "NUEVO") {
		
	    $("#botoneraModificar").hide();       
	    $("#checkboxBaja").hide();
	    $("#botoneraNuevo").show();    
	    $("#tecnicosContrata").hide();
	}  else {
		   $("#botoneraModificar").show();
 	       $("#checkboxBaja").show();
	       $("#botoneraNuevo").hide();	   
	       if ($("#contrata").is(':checked')){
	    	   $("#tecnicosContrata").show();
	    	   buscaTecnicos(); // rellenamos las listas de tecnicos de contrata
	       }else{
	    	   $("#tecnicosContrata").hide();
	       }
	}
	
	/********************************* BOTON VOLVER  ****************************************************************/
	$("#bt_Volver").bind("click", volver);
	
	/********************************* MODIFICAR  ****************************************************************/	
	$("#bt_modificar").bind("click", confirmarModificar);

	

});
$("#feini").rup_date();	
	
function volver() {
	//Si estamos en nuevo cerrar el iframe
	if (inicioAccion == "NUEVO") {
		window.parent.cerrarIFrameNuevoCodigo();	
	}else{
		if ($("#ventanaOrigen").val()=="mantCodigos"){
			window.location = "/aa20bMaqPartesWar/codigo/maintVolver";	
		}else{
			history.back();	
		}
	}
}
	

	/***************************************************************************/
	/********************   TOOLTIPS *******************************************/
	/***************************************************************************/
	
	$("#imgBuscarClases").rup_tooltip({
		content: {
		text: $.rup.i18n.app.nuevo.seleccionarAveria
		}
	});

	$("#imgBuscarServicios").rup_tooltip({
		content: {
		text: $.rup.i18n.app.nuevo.ventanaSeleccion
		}
	});


	/********************************* TECNICOS ************************************************/
function clickParaContrar(){
	
	if (accion == "NUEVO") {
		//No hacemos nada hasta que se haya guardado
		return;
	}
	if ($("#contrata").is(':checked')){
		$("#tecnicosContrata").show();
		 buscaTecnicos(); // rellenamos las listas de tecnicos de contrata
	}else{
		if($('#tecnicosOcupados option').size()>0){
			$("#tecnicosOcupados option").attr("selected","selected");
			
			$("#dialogNoContrata").rup_dialog({      
				type: jQuery.rup.dialog.DIV,
				modal:true,
		        height:200,
		        width:300,  
		        resizable:false,
		        title:$.rup.i18n.app.mensajesCodigo.confirmarRestaTecnico,
		        autoOpen:true,
		        showLoading:true,
		        async:false, 
		        zIndex: -1,
		        buttons:[{
			        	id: "Borrar",
			        	text: $.rup.i18n.app.botones.borrar,
			        	click: function() {
			        		borrarTecnicos();
			        		$("#tecnicosContrata").hide();
			        		$("#dialogNoContrata").rup_dialog("close");
			        		}
		        	},
			        {
			    		id: "Baja",
			    		text:  $.rup.i18n.app.botones.baja,
			        	click: function() {
			        		bajaTecnicos();
			        		$("#tecnicosContrata").hide();
			        		$("#dialogNoContrata").rup_dialog("close");
			        	}
		        	},
			        {
			    		id: "Cancelar",
			    		text: $.rup.i18n.base.rup_global.cancelar,
			        	click: function() {
			        		$("#contrata").prop("checked", true);
			        		$("#dialogNoContrata").rup_dialog("close");
			        	},
			        	btnType:$.rup.dialog.LINK
		        	}]
		      });
		}else{
			$("#tecnicosContrata").hide();
		}
		
	}
}

function buscaTecnicos() {
	var codigoClase = $("#idclase").val();
	var codigoCodigo = $("#idcodigo").val();
	$("#tecnicosLibres").empty();
	$("#tecnicosOcupados").empty();
	
	$.ajax({
		  type: "POST",
		  url: "../tecnicos/obtenerTecnicosClaseCodigoContrataLibres",
		  data:  { idClase:codigoClase, idCodigo:codigoCodigo},
		  success: function(data){
			  $("#tecnicosLibres").empty();
              var miselect=$("#tecnicosLibres");
              for (var i=0; i<data.length; i++) {
			  		if(data[i].presente){
			  			miselect.append('<option value="' + data[i].idtecnico + '" style="color:green;">' + data[i].nombre + '</option>');
			  		}else{
			  			miselect.append('<option value="' + data[i].idtecnico + '" style="color:red;">' + data[i].nombre + '</option>');
			  		}
			  	}									  
			  },
			 error: function(data){
				 alert( data);
			 },
		  dataType: "json"
		});
	$.ajax({
		  type: "POST",
		  url: "../tecnicos/obtenerTecnicosClaseCodigoContrataAsignados",
		  data:  { idClase:codigoClase, idCodigo:codigoCodigo},
		  success: function(data){
			  $("#tecnicosOcupados").empty();
              var miselect=$("#tecnicosOcupados");
              for (var i=0; i<data.length; i++) {
			  		if(data[i].presente){
			  			miselect.append('<option value="' + data[i].idtecnico + '" style="color:green;">' + data[i].nombre + '</option>');
			  		}else{
			  			miselect.append('<option value="' + data[i].idtecnico + '" style="color:red;">' + data[i].nombre + '</option>');
			  		}
			  	}									  
			  },
			 error: function(data){
				 alert( ""+data);
			 },
		  dataType: "json"
		});
  }
	

$("#siguienteTecnico").bind("click", confirmarSumaTecnicos);
$("#anteriorTecnico").bind("click", confirmarRestaTecnicos);

function confirmarSumaTecnicos(){
	$.rup_messages("msgConfirm", {
		title: $.rup.i18nParse($.rup.i18n.app,"mensajesTecnicos.alta"),			
		message: $.rup.i18nParse($.rup.i18n.app,"mensajesTecnicos.sumaTecnico"),
		OKFunction: function(){
			sumaTecnicos();		
		},
		CANCELFunction : function(){
		}
		});
}

function confirmarRestaTecnicos (){
	
	$("#dialog-confirm").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:200,
        width:300,  
        resizable:false,
        title:$.rup.i18n.app.mensajesCodigo.confirmarRestaTecnico,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "Borrar",
	        	text: $.rup.i18n.app.botones.borrar,
	        	click: function() {
	        		borrarTecnicos();
	        		$("#dialog-confirm").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "Baja",
	    		text:  $.rup.i18n.app.botones.baja,
	        	click: function() {
	        		bajaTecnicos();
	        		$("#dialog-confirm").rup_dialog("close");
	        	}
        	},
	        {
	    		id: "Cancelar",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#dialog-confirm").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
}

function formaArrayJson (lista) {
	var listaJson = "";
	for (i=0; i<lista.length; i++ ) {
		listaJson += lista[i];			
		if (i!= (lista.length - 1) ) {
			listaJson += ",";
		}		
	}			
	return listaJson;
}

function sumaTecnicos() {
	var codigoClase = $("#idclase").val();
	var codigoCodigo = $("#idcodigo").val();
	var tecnicosSeleccionados = $('#tecnicosLibres').val();
	
	//Primero comprobamos si alguno de los tecnicos seleccionados ya estana en la tabla ClaseContrata en situacion de baja
	  $.ajax({
		  type: "POST",
		  url: "../clasecontrata/comprobarTecnicosConClaseCodigoBaja",
		  data:  { idClase:codigoClase,idCodigo:codigoCodigo,tecnicosSeleccionados:formaArrayJson(tecnicosSeleccionados)},
		  success: function(data){
				  if (data=="OK"){
					  añadirTecnicosContrara();
				  }else {
					  // Alguno de los tecnicos ya está en la tabla CLASECONTRATA en situacion de baja. Preguntar si se desea ponerlos de alta.
						$.rup_messages("msgConfirm", {
							title: $.rup.i18nParse($.rup.i18n.app,"comun.control"),			
							message: $.rup.i18nParse($.rup.i18n.app,"mensajesClase.hayBajas") + " ----- " + data,
							OKFunction: function(){
								añadirTecnicosContrara ();		
							},
							CANCELFunction : function(){
							}
							});
				  }
				  },
					 error: function(data){
						 alert( data);
					 },
				  dataType: "json"
				});

}

function añadirTecnicosContrara(){
	var codigoClase = $("#idclase").val();
	var codigoCodigo = $("#idcodigo").val();
	var tecnicosSeleccionados = $('#tecnicosLibres').val();
	  
	$.ajax({
		  type: "POST",				  
		  url: "../tecnicos/sumaTecnicosClaseCodigoContrata",
		  data:  { idClase:codigoClase,idCodigo:codigoCodigo,tecnicosSeleccionados:formaArrayJson(tecnicosSeleccionados)
		  },
		  success: function(data4){					 
			  	!$('#tecnicosLibres option:selected').remove().appendTo('#tecnicosOcupados'); 		  
			  },
		  error: function() {
			  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
		  },
		  dataType: "json"
		});
}

function borrarTecnicos() {
	var codigoClase = $("#idclase").val();
	var codigoCodigo = $("#idcodigo").val();
	var tecnicosSeleccionados = $('#tecnicosOcupados').val();

	$.ajax({
		  type: "POST",				  
		  url: "../tecnicos/restaTecnicosClaseCodigoContrata",
		  data:  { idClase:codigoClase,idCodigo:codigoCodigo,tecnicosSeleccionados:formaArrayJson(tecnicosSeleccionados)
		  },
		  success: function(data4){					 
			  	!$('#tecnicosOcupados option:selected').remove().appendTo('#tecnicosLibres'); 		  
			  },
		  error: function() {
			  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorBorrar + "</strong></p>");
		  },
		  dataType: "json"
		});
}

function bajaTecnicos() {
	var codigoClase = $("#idclase").val();
	var codigoCodigo = $("#idcodigo").val();
	var tecnicosSeleccionados = $('#tecnicosOcupados').val();

	$.ajax({
		  type: "POST",				  
		  url: "../tecnicos/bajaTecnicosClaseCodigoContrata",
		  data:  { idClase:codigoClase,idCodigo:codigoCodigo,tecnicosSeleccionados:formaArrayJson(tecnicosSeleccionados)
		  },
		  success: function(data4){					 
			  	!$('#tecnicosOcupados option:selected').remove().appendTo('#tecnicosLibres'); 		  
			  },
		  error: function() {
			  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorBorrar + "</strong></p>");
		  },
		  dataType: "json"
		});
}

/********************** FIN TECNICOS *********************************/

	/********************************* CLASES ************************************************/

function btn_BuscarClases(){

	$("#idTablaClases").empty();
	var textoBaja="";
	//Obtener la lista de Clases
	$.ajax({
		type: "POST",
		url: "../clase/clases/obtenerClases",
		success: function(data){
			var miselect=$("#idTablaClases");
			$("#idTablaClases").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
            	if (data[i].baja=="1"){
            		textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") ";
            	}else{
            		textoBaja= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
            	}
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion =  textoBaja + data[i].cclase;
              	} else {
              		descripcion = textoBaja + data[i].eclase;
              	}
              	miselect.append('<option value="' + data[i].idclase + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

	
	//Mostrar la ventana de lupaClases
	$("#lupaClases").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:450,  
        resizable:false,
        title:$.rup.i18n.app.comun.clasesVigentes,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarlupaClases",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		//Pintar el texto de la clase y activo seleccionado
	        		$("#idclase").val($("#idTablaClases option:selected").val());
	        		var texto = $("#idTablaClases option:selected").html();
	        		texto = texto.replace(/&nbsp;/g, "");
	        		$("#textoClase").val(texto);

	        		$("#lupaClases").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "cerrarlupaClases",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaClases").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
   

}


function btn_BuscarServicios(){
	var urlServicios="";
	if (accion == "NUEVO") {
		urlServicios="../servicios/obtenerServiciosAlta";
	}else{
		urlServicios="../servicios/obtenerServicios";
	}
	
	$("#idTablaServicios").empty();
	var textoBaja="";
	//Obtener la lista de Servicios
	$.ajax({
		type: "POST",
		url: urlServicios,
		success: function(data){
			var miselect=$("#idTablaServicios");
			$("#idTablaServicios").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
            	if (data[i].baja=="1"){
            		textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") ";
            	}else{
            		textoBaja= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
            	}
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion =  textoBaja + data[i].cservicio;
              	} else {
              		descripcion = textoBaja + data[i].eservicio;
              	}
              	miselect.append('<option value="' + data[i].idservicio + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

	
	//Mostrar la ventana de lupa Servicios
	$("#lupaServicios").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:450,  
        resizable:false,
        title:$.rup.i18n.app.comun.serviciosVigentes,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarlupaServicios",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		//No se permitirá cambiar el servicio si es responsable y tiene tecnicos asociados.
	        		if (accion != "NUEVO" && $("#responsable").is(':checked') && $('#tecnicosOcupados option').size()>0) {
	        			$.rup_messages("msgAlert", { 
	        	 			title: $.rup.i18n.app.comun.control,
	        		 		message: $.rup.i18n.app.mensajesServicio.noCambio
	        		 	});
	        		}else{
		        		//Pintar el texto de servicio 
		        		$("#idServicio").val($("#idTablaServicios option:selected").val());
		        		var texto = $("#idTablaServicios option:selected").html();
		        		texto = texto.replace(/&nbsp;/g, "");
		        		$("#textoServicio").val(texto);

		        		$("#lupaServicios").rup_dialog("close");
	        		}
	        		}
        	},
	        {
	    		id: "cerrarlupaServicios",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaServicios").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
   

}

/********************************* GUARDAR NUEVO ****************************************************************/	
	
	// Al pulsar el botón guardar enviamos los campos del formulario al Controller
	$("#bt_guardar").bind("click", confirmarGuardar);
	
	function confirmarGuardar (){
		var codigoClase = $("#idclase").val();
		// Convertimos los checkbox a 0 y 1 en funcion de si están seleccionados o no
		$("input[type=checkbox]").each (function() {						
			$(this).val(this.checked ? "1" : "0");
		});
	
		//Si tiene la marcar de Usuario Público comprobar que la clase a la que está asociada tiene tambien la marcar de Usuario publico
		if ($("#usupubli").is(':checked')){
			$.ajax({
				type: "POST",
				url: "../clase/claseEsUsuPubli",
				data:  { idClase:codigoClase},
				success: function(data){
					if (data){
						$.rup_messages("msgConfirm", {
							title: $.rup.i18nParse($.rup.i18n.app,"mensajesCodigo.guardar"),			
							message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaGuardar"),
							OKFunction: function(){
								guardarNuevaCodigo();		
							},
							CANCELFunction : function(){
							}
							});
					}else{
						//La clase no tiene la marcar de Usu Publi
						$.rup_messages("msgAlert", { 
				 			title: $.rup.i18n.app.comun.control,
					 		message: $.rup.i18n.app.mensajesCodigo.claseNoEsPubli
					 	});
					}
				},
				  dataType: "json"
				});
		}else{
			$.rup_messages("msgConfirm", {
				title: $.rup.i18nParse($.rup.i18n.app,"mensajesCodigo.guardar"),			
				message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaGuardar"),
				OKFunction: function(){
					guardarNuevaCodigo();		
				},
				CANCELFunction : function(){
				}
				});
		}
	}
		
	function guardarNuevaCodigo() {	
		var properties={
				url:"../codigo/addNuevaCodigo",
				feedback:$("#feedbackEditarCodigo"),
				useJsonIfPossible: true,
				dataType:"json",
				 beforeSend : function(data) {
						//Mostrar div de sincronizando
					  $("#dialogoGuardar").rup_dialog(
								{
									type : $.rup.dialog.DIV,
									height : 200,
									width : 500,
									modal : true,
									showLoading : true,
									autoOpen : false,
									title : $.rup.i18n.app.mensajesEdificios.guardando
								});
						$("#dialogoGuardar").rup_dialog("open");
				  },
				 error: function(data) {
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 alert(data.responseText);
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
				 },
				 success: function(data){
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.guardadook + "</strong></p>");       		
		        	   document.editarCodigoForm.accion.value = "MODIFICAR";
		        	   $("#botoneraModificar").show();        	
		        	   $("#checkboxBaja").show();
		   		       $("#botoneraNuevo").hide();   
		   		       $("#idcodigo").val(data.idcodigo);
			   			if ($("#contrata").is(':checked')){
			   				
			   				$("#tecnicosContrata").show();
			   				buscaTecnicos(); // rellenamos las listas de tecnicos de contrata
			   			}
				 },
				 validate: {
					 rules: {
						 "ccodigo":{required:true},
						 "ecodigo":{required:true},
						 "codigo":{required:true}, //reducido
						 "textoClase":{required:true},
						 "textoServicio" : {required:true}
					 }
				 }
				};
				$("#editarCodigoForm").rup_form(properties);				
				$("#editarCodigoForm").submit();
	}
	/********************************* FIN GUARDAR NUEVO ****************************************************************/

	/********************************* MODIFICAR  ****************************************************************/	
	
	function confirmarModificar (){
		var codigoClase = $("#idclase").val();
		// Convertimos los checkbox a 0 y 1 en funcion de si están seleccionados o no
		$("input[type=checkbox]").each (function() {						
			$(this).val(this.checked ? "1" : "0");
		});

		//Si tiene la marcar de Usuario Público comprobar que la clase a la que está asociada tiene tambien la marcar de Usuario publico
		if ($("#usupubli").is(':checked')){
			$.ajax({
				type: "POST",
				url: "../clase/claseEsUsuPubli",
				data:  { idClase:codigoClase},
				success: function(data){
					if (data){
						$.rup_messages("msgConfirm", {
							title: $.rup.i18nParse($.rup.i18n.app,"mensajesCodigo.modificar"),			
							message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaModificar"),
							OKFunction: function(){
								modificarCodigo();		
							},
							CANCELFunction : function(){
							}
							});
					}else{
						//La clase no tiene la marcar de Usu Publi
						$.rup_messages("msgAlert", { 
				 			title: $.rup.i18n.app.comun.control,
					 		message: $.rup.i18n.app.mensajesCodigo.claseNoEsPubli
					 	});
					}
				},
				  dataType: "json"
				});
		}else{
			$.rup_messages("msgConfirm", {
				title: $.rup.i18nParse($.rup.i18n.app,"mensajesCodigo.modificar"),			
				message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaModificar"),
				OKFunction: function(){
					modificarCodigo();		
				},
				CANCELFunction : function(){
				}
				});
		}
	}
	
	function modificarCodigo () {		
		var properties={
				url:"../codigo/modificaCodigo",
				feedback:$("#feedbackEditarCodigo"),
				useJsonIfPossible: true,
				 beforeSend : function(data) {
						//Mostrar div de sincronizando
					  $("#dialogoGuardar").rup_dialog(
								{
									type : $.rup.dialog.DIV,
									height : 200,
									width : 500,
									modal : true,
									showLoading : true,
									autoOpen : false,
									title : $.rup.i18n.app.mensajesEdificios.guardando
								});
						$("#dialogoGuardar").rup_dialog("open");
				  },
				 error: function(data) {
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errormodificar + "</strong></p>");
				 },
				 success: function(){	
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.modificadook + "</strong></p>");       				        	
				 },
				 validate: {
					 rules: {
						 "ccodigo":{required:true},
						 "ecodigo":{required:true},
						 "codigo":{required:true}, //reducido
						 "textoClase":{required:true},
						 "textoServicio" : {required:true}
					 }
				 }
				};
				$("#editarCodigoForm").rup_form(properties);				
				$("#editarCodigoForm").submit();
		
	}
	
	/********************************* FIN MODIFICAR  ****************************************************************/
	
	
	/********************************* BOTON NUEVO  ****************************************************************/
	// al darle a "nuevo" volvemos a la misma pantalla vacía
	$("#bt_nuevo").bind("click", refrescar);
	
	function refrescar (){		
			location.href="../codigo/nuevo";		

	}
	/********************************* FIN BOTON NUEVO  ****************************************************************/
	
	
	/********************************* FEEDBACK MENSAJES OK  ****************************************************************/
	
	function mensajeInfo (texto) {
		 var properties = {
   				type: "ok",
   				fadeSpeed: 600,
   				gotoTop: false,
   				block: false,
   				closeLink: false
   			};
   	//	var texto = "<p><strong>" +  $.rup.i18n.app.feedbackNuevoCodigoIncidenciaGuardada.modificadook + "</strong></p>";
   		$("#feedbackEditarCodigo").rup_feedback (properties);

   		$("#feedbackEditarCodigo").rup_feedback("set", texto);

   		$("#feedbackEditarCodigo").rup_feedback("show");
	}
	
	
	/* Error */
	function mensajeError (texto) {
		 var properties = {
 				type: "error",
 				fadeSpeed: 600,
 				gotoTop: false,
 				block: false,
 				closeLink: false
 			};
 	
 		$("#feedbackEditarCodigo").rup_feedback (properties);

 		$("#feedbackEditarCodigo").rup_feedback("set", texto);

 		$("#feedbackEditarCodigo").rup_feedback("show");
	}
	/********************************* FIN FEEDBACK MENSAJES OK  ****************************************************************/

	

	jQuery("#feedbackEditarCodigo").rup_feedback({
		  type: "ok",                  
		  closeLink: true,                  
		  delay: 1000,                  
		  fadeSpeed: 500,                  
		  block:true          
		  }); 




